/*
 * [HowToProcess.java]
 *
 * Summary: enum of the ways the finite state automaton parser can process a character.
 *
 * Copyright: (c) 2004-2017 Roedy Green, Canadian Mind Products, http://mindprod.com
 *
 * Licence: This software may be copied and used freely for any purpose but military.
 *          http://mindprod.com/contact/nonmil.html
 *
 * Requires: JDK 1.8+
 *
 * Created with: JetBrains IntelliJ IDEA IDE http://www.jetbrains.com/idea/
 *
 * Version History:
 *  3.1 2009-04-12 shorter style names, improved highlighting.
 */
package com.mindprod.masmtidy;

/**
 * enum of the ways the finite state automaton parser can process a character.
 *
 * @author Roedy Green, Canadian Mind Products
 * @version 3.1 2009-04-12 shorter style names, improved highlighting.
 * @since 2004-05-15
 */
public enum HowToProcess
    {
        /**
         * eat the char saving save if for later
         */
        CONSUME,
        /**
         * let some other state handle it later
         */
        FORWARD,
        /**
         * ignore the character
         */
        DISCARD
    }
